View Issue Details

IDProjectCategoryView StatusLast Update
0000444FreeCADBugpublic2011-10-05 06:41
ReporternormandcAssigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.12 
Summary0000444: makePipe: unwanted twisting of section along helix used as wire
DescriptionAs told in the forum topic https://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=3&t=1461

Using an helix as wire for the makePipe command, the section twists along the wire. This is not the expected behavior.

Steps to reproduce: in the Python console:

import Part, FreeCAD, math
from FreeCAD import Base

helix = Part.makeHelix(1,10,3)
edge1 = Part.makeLine((2.5,0,-0.125), (2.5,0,0.125))
edge2 = Part.makeLine((2.5,0,0.125), (3.1,0,0.419))
edge3 = Part.makeLine((3.1,0,0.419), (3.1,0,-0.419))
edge4 = Part.makeLine((3.1,0,-0.419), (2.5,0,-0.125))
section = Part.Wire([edge1,edge2,edge3,edge4])
pipe = Part.Wire(helix).makePipe(section)
Part.show(pipe)

First attachment shows the result in FreeCAD. Second shows the result in a pro CAD program (Solid Edge).
Additional InformationOS: Ubuntu 11.10 Oneiric Ocelot Beta 2 64-Bit
FreeCAD version 0.12-bzr4629 from PPA
TagsNo tags attached.

Activities

2011-10-04 21:06

 

fc_thread_twistingsection.png (Attachment missing)

2011-10-04 21:07

 

se_correct_helix_protrusion.jpg (Attachment missing)

wmayer

2011-10-05 06:41

administrator   ~0001140

Fixed in r4991

The code must be changed to:
import Part, FreeCAD, math
from FreeCAD import Base

helix = Part.makeHelix(1,10,3)
edge1 = Part.makeLine((2.5,0,-0.125), (2.5,0,0.125))
edge2 = Part.makeLine((2.5,0,0.125), (3.1,0,0.419))
edge3 = Part.makeLine((3.1,0,0.419), (3.1,0,-0.419))
edge4 = Part.makeLine((3.1,0,-0.419), (2.5,0,-0.125))
section = Part.Wire([edge1,edge2,edge3,edge4])
makeSolid=0
isFrenet=1
pipe = Part.Wire(helix).makePipeShell([section],makeSolid,isFrenet)
Part.show(pipe)

Issue History

Date Modified Username Field Change
2011-10-04 21:06 normandc New Issue
2011-10-04 21:06 normandc File Added: fc_thread_twistingsection.png
2011-10-04 21:07 normandc File Added: se_correct_helix_protrusion.jpg
2011-10-05 06:41 wmayer Note Added: 0001140
2011-10-05 06:41 wmayer Status new => closed
2011-10-05 06:41 wmayer Resolution open => fixed
2011-10-05 06:41 wmayer Fixed in Version => 0.12